Patchwork [bitbake-devel] depexp: Improve wording on requirements

login
register
mail settings
Submitter Gary Thomas
Date Nov. 7, 2013, 5:24 p.m.
Message ID <1383845067-1320-1-git-send-email-gary@mlbassoc.com>
Download mbox | patch
Permalink /patch/61279/
State New
Headers show

Comments

Gary Thomas - Nov. 7, 2013, 5:24 p.m.
Since -g is required, tell the user exactly so.

Signed-off-by: Gary Thomas <gary@mlbassoc.com>
---
 lib/bb/ui/depexp.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Patch

diff --git a/lib/bb/ui/depexp.py b/lib/bb/ui/depexp.py
index 0b160e2..4578dce 100644
--- a/lib/bb/ui/depexp.py
+++ b/lib/bb/ui/depexp.py
@@ -202,7 +202,7 @@  def main(server, eventHandler, params):
             return 1
         cmdline = cmdline['action']
         if not cmdline or cmdline[0] != "generateDotGraph":
-            print("This UI is only compatible with the -g option")
+            print("This UI requires the -g option")
             return 1
         ret, error = server.runCommand(["generateDepTreeEvent", cmdline[1], cmdline[2]])
         if error: